package org.xbib.io.webdav.client.methods;

import java.net.http.HttpResponse;

/**
 * Represents an HTTP MKWORKSPACE request.
 *
 * @see <a href="http://webdav.org/specs/rfc3253.html#rfc.section.6.3">RFC 3253, Section 6.3</a>
 */
public class Mkworkspace extends AbstractMethod {

    @Override
    public String method() {
        return "MKWORKSPACE";
    }

    @Override
    public boolean succeeded(HttpResponse<?> response) {
        return response.statusCode() == 201;
    }
}
